Bug 1839036 - [openshift-4.3] Handle embedded pipelineSpec in pipelineRun details page.
Summary: [openshift-4.3] Handle embedded pipelineSpec in pipelineRun details page.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.0
Hardware: All
OS: All
high
urgent
Target Milestone: ---
: 4.3.z
Assignee: Karthik Jeeyar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1835228 1838792
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-22 11:19 UTC by Karthik Jeeyar
Modified: 2020-06-17 20:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Embedded pipeline spec is not supported in UI Consequence: When the user creates the pipelinerun via cli or using the yaml https://gist.githubusercontent.com/praveen4g0/417eb5c173831a18b85737e45f564e12/raw/9e8a717936a213c86abcbb8a9af16c13d29838e3/embeededpipelinespec.yaml, it breaks the UI Fix: Add additional checks to fix avoid the error in the UI Result: UI will not break in the embedded pipeline scenario
Clone Of: 1838792
Environment:
Last Closed: 2020-06-17 20:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
[openshift-4.3] Handle embedded pipelineSpec in pipelineRun details page. (50.17 KB, image/png)
2020-05-29 10:33 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5536 None open Bug 1839036: handle embedded pipeline spec in pipelinerun scenario 2020-05-26 11:06:29 UTC
Red Hat Product Errata RHBA-2020:2436 None None None 2020-06-17 20:28:49 UTC

Comment 3 spathak@redhat.com 2020-05-29 10:33:35 UTC
Created attachment 1693326 [details]
[openshift-4.3] Handle embedded pipelineSpec in pipelineRun details page.

Comment 4 spathak@redhat.com 2020-05-29 10:34:17 UTC
Validation on build version: 4.3.0-0.ci-2020-05-29-064310
Browser version:Firefox 73

Comment 8 errata-xmlrpc 2020-06-17 20:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2436


Note You need to log in before you can comment on or make changes to this bug.